{% extends 'base.html' %}

{% block title %}
    {{ title }}
{% endblock %}

{% block body %}
    <div class="alert alert-light">
        <a href="{% url 'blog:blog-home' %}">Назад</a>
        <h3>{{ object.title }}</h3>
        <p>{{ object.text|safe }}</p>
        <div class="d-flex text-body-secondary pt-3">
            {% if object.author.profile.img %}
                <div>
                    <img src="{{ object.author.profile.img.url }}" alt="{{ object.author }}" class="user_image">
                </div>
            {% endif %}
            <div class="mt-2">
                {% if object.author %}
                    <b>Author:</b>
                    <a href="{% url 'blog:user-news' object.author %}">{{ object.author }}</a>
                {% endif %}
                <span class="text-muted"><p><b>Date:</b> {{ object.date|date:"d E Y, H:i:s " }}</p></span>
            </div>
        </div>
        {#        <a href="{% url 'blog:blog-home' %}" class="btn btn-outline-warning">Назад</a>#}
        {% if user == object.author %}
            <hr>
            <a href="{% url 'blog:news-update' object.id %}" class="btn btn-outline-warning">Обновить</a>
            <a href="{% url 'blog:news-delete' object.id %}" class="btn btn-outline-danger">Удалить</a>
        {% endif %}
    </div>
{% endblock %}

{% block aside_news_section %}
    <h3><b>10 films and series for programmers</b></h3>
    <img class="img-thumbnail mb-1"
         src="https://itproger.com/img/news/1477674462.jpg">
    <p>When you get on the path of programming, you really want to watch any films or series on this topic.
        We present you a selection of 10 films for programmers.</p>
    <a href="https://itproger.com/news/10-filmov-i-serialov-dlya-programmistov" target="_blank">
        <button class="btn btn-warning">View</button>
    </a>
{% endblock %}